LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07332Bug reports[All Projects] Templatespublic2013-02-25 16:442013-03-11 15:04
ReporterTomTom82 
Assigned Tosammousa 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version 
Summary07332: Unnecessary line break after inserting of completed.pstpl into final survey page
DescriptionThere is a line break after inserting of completed.pstpl into the final survey page (final survey page when the survey responses have been saved and the survey is over). This line break can lead to an ugly gap in the template design if specific color combinations are used.
(This issue does not appear while using the template editor, only in the actual survey. Also, it seems to happen with all templates - I have reproduced the issue with the default template, my modification of the default template and the bluengrey template)

According to Marcel Minke, "Limesurvey should NOT create any line break, instead the user should be able to handle that at the template." (see thread for this issue: http://www.limesurvey.org/de/forum/design-issues/92665-template-lbr-g-automatically-inserted-on-final-survey-page-messing-up-design [^])
Steps To Reproduce1.) Check the page source code of the final page of any survey.
2.) Compare this code with the content of completed.pstpl and endpage.pstpl
3.) Look for the line break
tag in the source code of the final survey page that is neither from completed.pstpl nor endpage.pstpl.
Additional InformationProblem has been fixed in my LS Version 1.92+ Build 120919 installation by editing the group.php file (for details, see: http://www.limesurvey.org/de/forum/design-issues/92665-template-lbr-g-automatically-inserted-on-final-survey-page-messing-up-design#93031 [^])
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130219
Browser
Database & DB-VersionMySQL
Operating System (Server)squeeze14
Webserver software & versionApache
PHP Version5.3.3-7
Attached Files

- Relationships

-  Notes
User avatar (24286)
sammousa (developer)
2013-02-25 21:56

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11691 [^]
User avatar (24630)
c_schmitz (administrator)
2013-03-11 15:04

2.00+ build 130311 released

- Related Changesets
LimeSurvey: master 8b193bec
Timestamp: 2013-02-25 20:54:37
Author: sammousa
Committer: Sam Mousa
Details ] Diff ]
Fixed issue 07332: Unnecessary line break after inserting of completed.pstpl into final survey page
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-25 16:44 TomTom82 New Issue
2013-02-25 17:40 Mazi Assigned To => sammousa
2013-02-25 17:40 Mazi Status new => assigned
2013-02-25 21:56 sammousa Changeset attached => LimeSurvey master 8b193bec
2013-02-25 21:56 sammousa Note Added: 24286
2013-02-25 21:56 sammousa Resolution open => fixed
2013-03-06 09:18 sammousa Status assigned => resolved
2013-03-11 15:04 c_schmitz Note Added: 24630
2013-03-11 15:04 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker